## IdeBuildResult IdeBuildResult |

## Functions

#define | IDE_TYPE_BUILD_RESULT
GInputStream * | ide_build_result_get_stdout_stream ()
GInputStream * | ide_build_result_get_stderr_stream ()
void | ide_build_result_log_subprocess ()
void | ide_build_result_log_stdout ()
void | ide_build_result_log_stderr ()

## Types and Values

struct | IdeBuildResultClass
| IdeBuildResult

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBuildResult
                ╰── IdeAutotoolsBuildTask

## Description

## Functions

### IDE_TYPE_BUILD_RESULT

    #define IDE_TYPE_BUILD_RESULT (ide_build_result_get_type())

### ide_build_result_get_stdout_stream ()

    GInputStream *
    ide_build_result_get_stdout_stream (IdeBuildResult *result);

Fetches a merged stdout stream for all child processes of this build result.

#### Returns

A GInputStream or `NULL`.

[transfer none][nullable]

### ide_build_result_get_stderr_stream ()

    GInputStream *
    ide_build_result_get_stderr_stream (IdeBuildResult *result);

Fetches a merged stdedrr stream for all child processes of this build result.

#### Returns

A GInputStream.

[transfer none]

### ide_build_result_log_subprocess ()

    void
    ide_build_result_log_subprocess (IdeBuildResult *result,
                                     GSubprocess *subprocess);

### ide_build_result_log_stdout ()

    void
    ide_build_result_log_stdout (IdeBuildResult *result,
                                 const gchar *format,
                                 ...);

### ide_build_result_log_stderr ()

    void
    ide_build_result_log_stderr (IdeBuildResult *result,
                                 const gchar *format,
                                 ...);

## Types and Values

### struct IdeBuildResultClass

    struct IdeBuildResultClass {
      IdeObjectClass parent;
    };

### IdeBuildResult

    typedef struct _IdeBuildResult IdeBuildResult;